Package javax.portlet

## Class PortletException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.portlet.PortletException

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `PortletModeException`, `PortletSecurityException`, `ReadOnlyException`, `UnavailableException`, `ValidatorException`, `WindowStateException`

    public class PortletException
    extends java.lang.Exception

The `PortletException` class defines a general exception that a portlet can throw when it is unable to perform its operation successfully.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`PortletException()` Constructs a new portlet exception.
`PortletException​(java.lang.String text)` Constructs a new portlet exception with the given text.
`PortletException​(java.lang.String text, java.lang.Throwable cause)` Constructs a new portlet exception when the portlet needs to do the following: throw an exception include the "root cause" exception include a description message
`PortletException​(java.lang.Throwable cause)` Constructs a new portlet exception when the portlet needs to throw an exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PortletException

    public PortletException()

Constructs a new portlet exception.

#### PortletException

    public PortletException​(java.lang.String text)

Constructs a new portlet exception with the given text. The portlet container may use the text write it to a log.

Parameters:
  `text` - the exception text

#### PortletException

    public PortletException​(java.lang.String text,
                            java.lang.Throwable cause)

Constructs a new portlet exception when the portlet needs to do the following:

- throw an exception
- include the "root cause" exception
- include a description message

Parameters:
  `text` - the exception text
  `cause` - the root cause

#### PortletException

    public PortletException​(java.lang.Throwable cause)

Constructs a new portlet exception when the portlet needs to throw an exception. The exception's message is based on the localized message of the underlying exception.

Parameters:
  `cause` - the root cause